/******************************************************************************
 SCI Template Game
 By Brian Provinciano
 ******************************************************************************
 dying.sc
 Contains a public script instance to handle when the ego dies.
 ******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script DYING_SCRIPT)
/******************************************************************************/
(use "main")
(use "controls")
(use "dcicon")
(use "cycle")
(use "obj")
/******************************************************************************/
(instance public DyingScript of Script
	(properties)
	(method (changeState newState)
		(var mbResult, message)
		= state newState
		(if(== state 0)
			ProgramControl()
			(send gTheMusic:fade())
			(send gRoom:setScript(0))
			Load(rsSOUND 2)
			= seconds 3
		)(else
  			(if(== state 1)
  				(send gTheSoundFX:stop())
  				(send gTheMusic:
  					number(2)
  					loop(1)
  					priority(-1)
  					play()
  				)
      
                // The following lines give a typical Sierra style
                // message box telling the player that they have died.
                // You can customize it to your liking.

  				(if(<> NULL caller)
  					Load(rsVIEW caller)
  					(deadIcon:view(caller))
  				)(else
  					Load(rsVIEW DYING_SCRIPT)
  					(deadIcon:view(DYING_SCRIPT))
  				)
  				(if(<> NULL register)
  					= message register
  				)(else
  					= message "You lost!"
  				)
  				(if(Print(
  					message
  					#font gDeadFont
  					#icon deadIcon
  					#button "Move Along" 0
  					#button "Cheat Codes" 1
  				))
  					Print(
                        "Cheat Code Number One:           "+
  						"'IDDQD' for 'God-mode' in Doom 2 "+
  						"Cheat Code Number Two:            "+
  						"'God' for 'God-mode' in Doom 3   "
  					)
                    Print("Hope these codes help you not die in those games, but as for this one, try not doing anything stupid.")
  				)

  				(while(1)
  					= mbResult Print(
  						"Remember:\nsave early, save often!"
  						#title "Words to the not-so-wise:"
  						#font gDeadFont
  						#button "Restore"  1
  						#button "Restart"  2
  						#button "  Quit  " 3
  					)
  					(switch(mbResult)
  						(case 1
  							(if(<> (send gGame:restore()) -1) 
  								return
  							)
		    			)
		    			(case 2
  							(send gGame:restart())
  							return
		    			)
		    			(case 3
		    				= gQuitGame TRUE
		    				return
		    			)
		    		)
		    	)
  			)
  		)
	)
)
/******************************************************************************/
(instance deadIcon of DCIcon
	(properties)
	(method (init)
		(super:init())
		(if(== gRoomNumberExit 540)
			= cycler (End:new())
			(send cycler:init(self))
		)
	)
)
/******************************************************************************/
