/******************************************************************************
 SCI Template Game
 By Brian Provinciano
 ******************************************************************************
 rm001.sc
 Contains the first room of your game. 
 ******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 1)
/******************************************************************************/
(use "main")
(use "controls")
(use "cycle")
(use "game")
(use "feature")
(use "obj")
(use "inv")
(use "door")
(use "jump")
(use "dpath")
/******************************************************************************/
(instance public rm001 of Rm
	(properties
		picture 11
		// Set up the rooms to go to/come from here
		north 0
		east 0
		south 0
		west 0
	)
	(method (init)
		// same in every script, starts things up
  		(super:init())
  		(self:setScript(RoomScript))
  		
  		// Check which room ego came from and position it
  		(switch(gPreviousRoomNumber)
  			(default
  				(send gEgo:
  					posn(150 130)loop(1)
  				)
  			)
  		)
		
		// Set up the ego
		SetUpEgo()
        (send gGame:setSpeed(4))
		(send gEgo:init()hide())
        (princess:init())
        (faerie1:init()loop(1)setCycle(Fwd)cycleSpeed(2))
        (faerie2:init()loop(2)setCycle(Fwd)cycleSpeed(2))

        /****************************************
         * Set up the room's music to play here *
         ****************************************/
		//(send gTheMusic:prevSignal(0)stop()number(100)loop(-1)play())

        /**************************************************
         * Add the rest of your initialization stuff here *
         **************************************************/
  )
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
    (method (changeState intro)
        = state intro
        (switch(state)
            (case 0 = cycles 35
            )(case 1 = cycles 15
                Print("Oh dear, Princess Julyn, you look so depressed..."#title"Faerie #1")
                Print("Yeah, like a goblin who got back his IQ test. hehe."#title"Faerie #2")
            )(case 2 = cycles 20
                Print("It's just...tomorrow's my wedding day."#title"Julyn says")
            )(case 3 = cycles 15
                Print("But my darling, that's not bad news."#title"Faerie #1")
                Print("Right! Why that's as happy as a wizard with a new spell! hehe."#title"Faerie #2")
            )(case 4 = cycles 1
                //Print(#title"Faerie #2")
            )(case 5 = cycles 15
                Print("Yes I know. But this wedding is not out of love...but for an alliance with another Kingdom."#title"Julyn says")
                Print("It was my father's idea...without my input at all."#title"Julyn says")
            )(case 6 = cycles 25
                Print("Well my lovely, you should sleep. Things won't be quite so bad as you think."#title"Faerie #1")
                Print("It's true! At least he's rich! hehe. "#title"Faerie #2")
            )(case 7 = cycles 40
                Print("Thanks for being good friends. I think I will get some sleep."#title"Julyn says")
            )(case 8
                (send gRoom:newRoom(38))
            )
        )
    )
    
    //playtesting code
	/*(method (handleEvent pEvent)
        (super:handleEvent(pEvent))
        (if(Said('look'))
            Print("You are in an empty room")
        )
        (if(Said('jump>'))
            (if(Said('/1'))
                (send gRoom:newRoom(53))
            )
        )(if(Said('jump>'))
            (if(Said('/2'))
                (send gRoom:newRoom(54))
            )
        )(if(Said('jump>'))
            (if(Said('/11'))
                (send gRoom:newRoom(11))
            )
        )
        (if(Said('jump>'))
            (if(Said('/5'))
                (send gRoom:newRoom(50))
            )
        )
 	)*/
)
(instance princess of Prop
    (properties
        y 38
        x 30
        view 12
    )
)
(instance faerie1 of Prop
    (properties
        y 29
        x 52
        view 12
    )
)
(instance faerie2 of Prop
    (properties
        y 35
        x 47
        view 12
    )
)
/******************************************************************************/
