/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 13)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")
(use "follow")

(local

checkpoint = 0
doorOpen = 0
doorBroken = 0
)
/******************************************************************************/
(instance public rm013 of Rm
	(properties
		picture scriptNumber
		north 0
		east 0
		south 0
		west 0
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		(switch(gPreviousRoomNumber)
			(default
				(send gEgo:
					posn(250 130)
					loop(1)
				)
			)(case 50 (send gEgo:posn(120 100))
            )
		)

		SetUpEgo()
		(send gEgo:init()hide()ignoreActors())
        (julyn:init()loop(1))
        (glassDoor:init()ignoreActors())
        (bed:init()ignoreActors()setPri(0))
        (roomDoor:init())
        (sheet:init()loop(1)ignoreActors()setPri(4))
        (table:init()loop(2)setCycle(Fwd)cycleSpeed(3)ignoreActors())
        (bookShelf:init())
        (eliade:init()loop(1))
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
    (method (changeState intro)
        = state intro
        (switch(state)
            (case 0 = cycles 1
                (if(not(introFinished))
                    (hero:init()loop(4))
                )(else
                    (hero:hide())
                    (julyn:init()loop(1)posn(120 100))
                    (RoomScript:changeState(14))
                )
            )(case 1 = cycles 1
                (hero:init()cel(1))
                (ProgramControl)
                //(roomDoor:setCycle(End)ignoreActors())
                    //= doorOpen 1
            )(case 2 = cycles 25
                (julyn:setCycle(Walk)setMotion(MoveTo 140 100))
            )(case 3 = cycles 9
                (hero:init()cel(0))
            )(case 4 = cycles 10
                (julyn:loop(3))
            )(case 5 = cycles 8
                //(roomDoor:setCycle(Beg)cycleSpeed(1))//closes door behind her
                    //= doorOpen 0
                    Print("How are you feeling, Julyn?"#title"You ask"
                    )
            )(case 6 = cycles 8
                    Print("A little better...thank you..."#title"Julyn says"
                    )
                    Print("Could I ask you a favor?"#title"Julyn says"
                    )
            )(case 7 = cycles 8
                    Print("I think I could use some time alone. It's been such a long day."#title"Julyn says"
                    )
                    Print("Would you mind?"#title"Julyn says"
                    )
            )(case 8 = cycles 8
                    Print("Are you sure? You know it's my job to keep watch over you."#title"You say"
                    )
            )(case 9 = cycles 25
                    Print("I know. I'll be fine."#title"Julyn says"
                    )
                    Print("It's just a big day tomorrow and I need some personal time."#title"Julyn says"
                    )
            )(case 10 = cycles 8
                    (hero:loop(5)setCycle(End))
            )(case 11 = cycles 8
                    Print("As you wish."#title"You say"
                    )
            )(case 12 = cycles 30
                (hero:setCycle(Beg))
                //(send gEgo:setCycle(Walk)setMotion(MoveTo 70 95))//walks to the candle
            )(case 13 = cycles 5
                (send gRoom:newRoom(50))
            )(case 14 = cycles 8
                (send gEgo:hide()ignoreActors())
                (ProgramControl)
            )(case 15 = cycles 15
                (julyn:setCycle(Walk)setMotion(MoveTo 75 90))//walks to the candle
            )(case 16 = cycles 13
                (if(not(checkpoint))
                (julyn:view(2)loop(3)cel(0)setCycle(End))//blows out candle
                (table:loop(5)cel(0)setCycle(End)cycleSpeed(1))
                    = checkpoint 1 //checkpoint to evade problems with changestate
                )
            )(case 17 = cycles 14
                (julyn:view(308)setCycle(Walk)setMotion(MoveTo 98 120))//walk to bed
            )(case 18 = cycles 20
                (julyn:setCycle(Walk)setMotion(MoveTo 68 120)ignoreControl(ctlWHITE))
            )(case 19 = cycles 20
                (julyn: posn(60 120)view(2)loop(0)cel(0)setCycle(End)cycleSpeed(2))
            )(case 20 = cycles 5
                (julyn: view(2)loop(1)cel(0)setCycle(End)cycleSpeed(2))//sitting on bed
            )(case 21 = cycles 25
                (julyn: view(2)loop(2)cel(0)setCycle(Fwd)cycleSpeed(3))//yawning
            )(case 22 = cycles 20
                (julyn: posn(58 120)view(2)loop(4)cel(0)setCycle(End))//laying down
            )(case 23 = cycles 30 //CHANGING SCENE TO OUTSIDE THE ROOM//
                (Hide)
                DrawPic(11 dpOPEN_RIGHT dpCLEAR 0)
                (send gGame:setSpeed(7))
                (eliadeShadow:init()ignoreActors()setCycle(Walk)setMotion(MoveTo 150 179))
            )(case 24 = cycles 23
                (eliadeShadow:init()ignoreActors()setCycle(Walk)setMotion(MoveTo 80 175))
            )(case 25 = cycles 35 //BACK INSIDE THE ROOM
                (eliadeShadow:hide())
                DrawPic(13 dpOPEN_LEFT dpCLEAR 0)
                (send gGame:setSpeed(4))
                (Showviews)//show all the views in the room
                (zzz:init()loop(2)setCycle(Fwd)cycleSpeed(2)ignoreActors()setPri(1))//sleeping
            )(case 26 = cycles 30
                    (eliade:setCycle(Walk)setMotion(MoveTo 290 120))//eliade comes to the window
            )(case 27 = cycles 25
                    (eliade:view(8)loop(0)cel(0)setCycle(End))
            )(case 28 = cycles 15
                (if(not(doorBroken))
                    //(send gTheMusic:prevSignal(0)stop()number(101)loop(-1)play())
                    (eliade:loop(1)cel(0)setCycle(End))//breaking glass
                    (glassDoor:setCycle(End)cycleSpeed(1))
                    = doorBroken 1
                    (zzz:hide())
                    (julyn:setCycle(Beg))///waking up
                )
            )(case 29 = cycles 10
                (eliade:loop(2)cel(0)setCycle(End))
                (glassDoor:setPri(1))
                (julyn: view(2)loop(0)cel(5)setCycle(Beg)cycleSpeed(2))//getting out of bed
            )(case 30 = cycles 5
                (eliade:view(7)loop(1)cel(1)setCycle(Walk)setMotion(MoveTo 200 120))
                (julyn:setCycle(Walk)cycleSpeed(0)view(308)loop(0)cel(0)setMotion(MoveTo 120 120))
            )(case 31 = cycles 4
                (eliade:setMotion(Follow julyn))
                (julyn:observeControl(ctlWHITE)setMotion(MoveTo 100 100))
            )(case 32 = cycles 3
                (send gRoom:newRoom(11))
            )
        )
    )
)


(procedure public (Showviews)
    (julyn:init()show())
    (glassDoor:init()show())
    (bed:init()show())
    (roomDoor:init()show())
    (sheet:init()show())
    (table:init()show())
    (bookShelf:init()show())
    (eliade:init()show())
)
(procedure public (Hide)
    (julyn:hide())
    (glassDoor:hide())
    (bed:hide())
    (roomDoor:hide())
    (sheet:hide())
    (table:hide())
    (bookShelf:hide())
    (eliade:hide())
    (hero:hide())
)
(instance glassDoor of Prop
    (properties
        y 143
        x 264
        view 800
    )
)
(instance roomDoor of Prop
    (properties
        y 74
        x 106
        view 802
    )
)
(instance bed of Prop
    (properties
        y 155
        x 40
        view 100
    )
)
(instance sheet of Prop
    (properties
        y 125
        x 50
        view 100
    )
)
(instance table of Prop
    (properties
        y 91
        x 73
        view 101
    )
)
(instance bookShelf of Prop
    (properties
        y 85
        x 170
        view 102
    )
)
(instance eliade of Act
    (properties
        y 120
        x 308
        view 7
    )
)
(instance zzz of Prop
    (properties
        y 87
        x 48
        view 100
    )
)
(instance eliadeShadow of Act
    (properties
        y 174
        x 240
        view 5
    )
)
(instance hero of Act
    (properties
        y 84
        x 135
        view 307
    )
)
 (instance julyn of Act
    (properties
        y 130
        x 250
        view 308
    )
)
/******************************************************************************/
